## com.thingmagic
Class Gen2.IDS.SL900A.FifoStatus

    java.lang.Object
      com.thingmagic.Gen2.IDS.SL900A.FifoStatus

Enclosing class:
  Gen2.IDS.SL900A

    public static class Gen2.IDS.SL900A.FifoStatus

extends java.lang.Object

Constructor Summary
`Gen2.IDS.SL900A.FifoStatus(byte reply)`
`Gen2.IDS.SL900A.FifoStatus(byte[] reply)`

Method Summary
`boolean` `getDataReady()`
`boolean` `getFifoBusy()`
`boolean` `getNoData()`
`byte` `getNumValidBytes()`
`byte` `getRaw()`
`Gen2.IDS.SL900A.FifoSource` `getSource()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Gen2.IDS.SL900A.FifoStatus

    public Gen2.IDS.SL900A.FifoStatus(byte reply)

### Gen2.IDS.SL900A.FifoStatus

    public Gen2.IDS.SL900A.FifoStatus(byte[] reply)

Method Detail

### getRaw

    public byte getRaw()

### getFifoBusy

    public boolean getFifoBusy()

### getDataReady

    public boolean getDataReady()

### getNoData

    public boolean getNoData()

### getSource

    public Gen2.IDS.SL900A.FifoSource getSource()

### getNumValidBytes

    public byte getNumValidBytes()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`